WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] upgrade problem (8 posts)

  1. belenenses
    Member
    Posted 2 years ago #

    Hi,

    I get this error message when trying to automatically upgrade via the Dashboard. Never had problems upgrading before.

    See:

    Fatal error: Cannot redeclare class Plugin_Upgrader in /home/walki12/public_html/wordpress/wp-admin/includes/class-wp-upgrader.php on line 593

    I'm sure there's a simply solution?

    Thanks,

    B

  2. richardpd
    Member
    Posted 2 years ago #

    I have the same error on trying to update to WP3.3
    Fatal error: Cannot redeclare class Plugin_Upgrader in.../wp-admin/includes/class-wp-upgrader.php on line 593

    I'm sure too there is a simple solution but what?

    All my plugins are updated but I suspect it may be an issue with a plugin.

    So look forward to help here....

  3. richardpd
    Member
    Posted 2 years ago #

    OK-After somewhile I solved my problem with this error:
    Fatal error: Cannot redeclare class Plugin_Upgrader in.../wp-admin/includes/class-wp-upgrader.php on line 593

    It was due to some plugin problem-but what? I have about 60 plugins on my WP multisite (way to many!).

    To fix the error I deactivated all plugins and then updated to WP3.3 (after backup of course!?). The update then worked! Then I reactivated all plugins & so WP3.3 is now installed. All good. Hope this helps previous poster & anyone else with this issue/error...

  4. belenenses
    Member
    Posted 2 years ago #

    Hi

    Thanks for your input and glad to hear you managed to resolve your problem. For me that won't work, because I am still building my site in a sub-directory and as such have NO plug-ins at all on my site!

    Can anyone else help?

    Thanks,

    B

  5. angelicaminx
    Member
    Posted 2 years ago #

    I can't even login into my site to deactivate plugins! I keep getting this error too after the upgrade to 3.3. HELP!!

  6. angelicaminx
    Member
    Posted 2 years ago #

    Fatal error: Call to undefined function is_rtl() in /home/minx/public_html/wp-includes/general-template.php on line 2102

    Mine says this (see above)

  7. belenenses
    Member
    Posted 2 years ago #

    Hi,

    I just logged into my dashboard and noticed that there's a new version of my current theme to upgrade. I wouldn't mind betting that once I upgrade that, the WP theme will upgrade okay.

    I'll do it this evening and report back!

    B.

  8. belenenses
    Member
    Posted 2 years ago #

    Hi again,

    Yes, just as predicted. My problem was related to the requirement of a new Theme update before updating WP. I updated the theme and then WP updated fine.

    Hope you resolve your issue as simply as that.

    B

Topic Closed

This topic has been closed to new replies.

About this Topic